Subject: git-p4 uses -h for host instead of -H

From: Russell Myers <[email-masked]>
Date: Tue, 21 Feb 2012 19:49:12 -0500

In attempting to use the git-p4 plugin I ran into an issue when the host 
argument was specified using the -h argument instead of the -H argument 
for the host. As a result, I found that instead of git-p4 specifying a 
host, it gets help information. Correcting this issue allowed me to 
clone without issue. I've attached a patch of what I did to fix the 
issue if this is indeed believed to be an issue.

Thanks,

Russell

>>From 2f6c91282c98ca0a45269524ec74655f76921ec9 Mon Sep 17 00:00:00 2001
From: Russell Myers <[email-masked]>
Date: Tue, 21 Feb 2012 19:18:54 -0500
Subject: [PATCH] Changing host argument to -H from -h. Based on
 http://www.perforce.com/perforce/doc.current/manuals/p4guide/03_using.html
 '-H' is the apporpriate flag while '-h' is a flag passed
 for help content.

---
 contrib/fast-import/git-p4 |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/contrib/fast-import/git-p4 b/contrib/fast-import/git-p4
index a78d9c5..d2fd265 100755
--- a/contrib/fast-import/git-p4
+++ b/contrib/fast-import/git-p4
@@ -38,7 +38,7 @@ def p4_build_cmd(cmd):
 
     host = gitConfig("git-p4.host")
     if len(host) > 0:
-        real_cmd += ["-h", host]
+        real_cmd += ["-H", host]
 
     client = gitConfig("git-p4.client")
     if len(client) > 0:
-- 
1.7.5.4